/*
  spamdyke -- a filter for stopping spam at connection time.
  Copyright (C) 2007 Sam Clippinger (samc (at) silence (dot) org)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 2 as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <stdio.h>
#include <stdarg.h>
#include <syslog.h>
#include "spamdyke.h"
#include "log.h"

/*
 * Expects:
 *   if format == NULL, syslog is closed
 */
void spamdyke_log(struct filter_settings *current_settings, int target_level, char *format, ...)
  {
  static int syslog_initialized = 0;
  int syslog_level;
  va_list tmp_va;

  if (format != NULL)
    {
    if (current_settings != NULL)
      {
/* FIXME: remove this
      if (current_settings->log_level >= target_level)
        {
*/
        if (current_settings->log_target == LOG_USE_SYSLOG)
          {
          if (!syslog_initialized)
            {
            openlog(SYSLOG_IDENTIFIER, LOG_PID, LOG_MAIL);
            syslog_initialized = 1;
            }

          switch (target_level)
            {
            case LOG_LEVEL_ERROR:
              syslog_level = LOG_ERR;
              break;
            case LOG_LEVEL_DEBUG:
              syslog_level = LOG_DEBUG;
              break;
            default:
              syslog_level = LOG_INFO;
              break;
            }

          va_start(tmp_va, format);
          vsyslog(syslog_level, format, tmp_va);
          va_end(tmp_va);
          }
        else
          {
          va_start(tmp_va, format);

          vfprintf(stderr, format, tmp_va);
          fprintf(stderr, "\n");

          va_end(tmp_va);
          }
/* FIXME: remove this
        }
*/
      }
    else
      {
      va_start(tmp_va, format);

      vfprintf(stderr, format, tmp_va);
      fprintf(stderr, "\n");

      va_end(tmp_va);
      }
    }
  else if (syslog_initialized)
    {
    closelog();
    syslog_initialized = 0;
    }

  return;
  }
