# This test authenticates using SMTP AUTH LOGIN and delivers a small message.
# It checks to make sure the ip-in-rDNS+keyword filter is bypassed.

if [ "${UID}" == "0" ]
then
  if [ ! -z "${TESTSD_IP_IN_RDNS_KEYWORD_IP}" ]
  then
    if [ ! -z "${TESTSD_IP_IN_RDNS_KEYWORD}" ]
    then
      export TCPREMOTEIP=${TESTSD_IP_IN_RDNS_KEYWORD_IP}
      echo ${TESTSD_IP_IN_RDNS_KEYWORD} > ${TMPDIR}/${TEST_NUM}-rdns_keywords.txt

      FROM_ADDRESS=test-${TEST_NUM}.${RANDOM}.${RANDOM}@example.com
      AUTH_USERNAME=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -3 | head -1 | awk '{ print $2 }'`
      AUTH_PASSWORD=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -1 | awk '{ print $2 }'`

      cat input.txt | sed -e "s/TEST_NUM/${TEST_NUM}/" -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" -e "s/AUTH_USERNAME/${AUTH_USERNAME}/g" -e "s/AUTH_PASSWORD/${AUTH_PASSWORD}/g" > ${TMPDIR}/${TEST_NUM}-input.txt
      echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -k ${TMPDIR}/${TEST_NUM}-rdns_keywords.txt --smtp-auth-command \"${AUTH_CMDLINE}\" ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt"
      ${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -k ${TMPDIR}/${TEST_NUM}-rdns_keywords.txt --smtp-auth-command "${AUTH_CMDLINE}" ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt

      output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/${TEST_NUM}-output.txt`
      if [ ! -z "${output}" ]
      then
        outcome="success"
      else
        echo Delivery failure - tmp/${TEST_NUM}-output.txt:
        cat ${TMPDIR}/${TEST_NUM}-output.txt

        outcome="failure"
      fi
    else
      echo TESTSD_IP_IN_RDNS_KEYWORD is not set.  Test failed.
      outcome="failure"
    fi
  else
    echo TESTSD_IP_IN_RDNS_KEYWORD_IP is not set.  Test failed.
    outcome="failure"
  fi
else
  echo You must be root to check passwords.  Test failed.
  outcome="failure"
fi
