# This test looks for an error message from the config-test when it finds a
# graylist entry it cannot read/write.

if [ "${UID}" == "0" ]
then
  mkdir -p ${TMPDIR}/${TEST_NUM}-graylist.d/example.com/foo
  touch ${TMPDIR}/${TEST_NUM}-graylist.d/example.com/foo/bar@baz.com
  chmod 444 ${TMPDIR}/${TEST_NUM}-graylist.d/example.com/foo/bar@baz.com

  pushd ..
  su $4 ./subrun $1 $2 $3 $4 $5 test-${TEST_NUM}-*
  popd

  output=`grep -E "Failed to open for reading and writing: ${TMPDIR}/${TEST_NUM}-graylist.d/example.com/foo/bar@baz.com" ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ ! -z "${output}" ]
  then
    output=`grep -E "ERROR: Tests complete. Errors detected." ${TMPDIR}/${TEST_NUM}-output.txt`
    if [ ! -z "${output}" ]
    then
      outcome="success"
    else
      echo Failure - tmp/${TEST_NUM}-output.txt:
      cat ${TMPDIR}/${TEST_NUM}-output.txt

      outcome="failure"
    fi
  else
    echo Failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo "${SPAMDYKE_PATH} -l3 -g ${TMPDIR}/${TEST_NUM}-graylist.d --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
  ${SPAMDYKE_PATH} -l3 -g ${TMPDIR}/${TEST_NUM}-graylist.d --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1
fi
