# This test looks for a failure message from the config-test when it finds the
# child process supports TLS and the TLS flags have not been given.

child_cmd=`echo ${QMAIL_CMDLINE} | awk '{ print $1 }'`

echo "${SPAMDYKE_PATH} -l3 --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
${SPAMDYKE_PATH} -l3 --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

output=`grep "WARNING: ${child_cmd} appears to offer TLS support but spamdyke cannot offer TLS without the \"tls-certificate-file\" flag. Please use \"tls-certificate-file\" so spamdyke can filter all traffic. The certificate is typically stored in the /var/qmail/control directory." ${TMPDIR}/${TEST_NUM}-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo Failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
